= stylesheet_link_tag 'dev_mailbox', media: 'all', 'data-turbolinks-track' => 'reload'

#DevMailbox.row.null_margin.null_padding{ref: "el", data: {projects: @projects.map{|p| p.get_dev_key.id ? {id: p.id, name: p.name} : "" }.to_json }}
  .col-sm-2.null_margin.null_padding.mail-wrapper
    #mailboxes.column-props
      %h1 Dev Mailbox
      %h3
        %i.material-icons{style:"font-size: 1.4rem; width: 20px;"}
          all_inbox
        Projects inboxes
        %hr

      - @projects.each do |project|
        .row.null_margin.null_padding
          %a.col-sm-2.inbox-menu{href: "/projects/#{project.id}", target: "_blank"}
            %i.material-icons{style:"font-size: 1rem;"}
              edit

          %a.col-sm-10.null_margin.null_padding{:href => "#", "data-turbolinks": "false", "@click": "current_inbox_id = #{project.id}"}
            .inbox-link{id: "item-project-#{project.id}", style:"border-radius: 9px 0px 0px 9px;", "v-bind:class": "{ active: current_inbox_id === #{project.id}}" }
              %i.material-icons{style:"font-size: 1rem;"}
                inbox
              =project.name
              %span.notify.text-center
                {{unopenedCounter(#{project.id})}}
              %span{style: "font-size: 20px"}
                {{getInbox(#{project.id}).mails.length ? "&bull;" : ""}}
              %i.material-icons{style:"font-size: 1rem;", "v-if": "active_mail_vector[0] === #{project.id}"}
                remove_red_eye

  #messages-wrapper.col-sm-3.column-props.default-wraper
    #messages-list{":data-current": "current_inbox_id", "v-if": "currentInbox.mails.length"}
      %mail-list{":inbox": "currentInbox", ":active_mail_vector": "active_mail_vector","@mail_opened": "setActiveMail"}
    .no-content{"v-else": ""}
      %i.material-icons{style:"font-size: 1rem;"}
        cloud
      No mails received from the server...


  #content-wrapper.col-sm-7.null_margin.null_padding.default-wraper
    #content
      .content-opt{style: "min-height: 30px; padding: 5px"}
        %a{href: "#", title:"phone-size preview", "data-turbolinks": "false", "@click": "sizeIframeContent(400)"}
          %i.material-icons{style:"font-size: 1.2rem;"}
            phone_iphone

        %a{:href => "#", title:"tablet-size preview", "data-turbolinks": "false", "@click": "sizeIframeContent(700)"}
          %i.material-icons{style:"font-size: 1.2rem;"}
            tablet_mac

        %a{:href => "#", title:"monitor-size preview", "data-turbolinks": "false", "@click": "sizeIframeContent()"}
          %i.material-icons{style:"font-size: 1.2rem;"}
            computer

      %iframe.mail-content{"name": "content_iframe", "scrolling": "auto", "v-show": "active_mail_vector[0] !== null"}

      .mail-content.no-content.text-center{"v-if": "active_mail_vector[0] === null", style: "padding: 170px"}
        %i.material-icons{style:"font-size: 1.2rem;"}
          drafts
        No mail was selected to display...